Skip to navigation

Remove CHRT-managed role

Takes one CHRT-managed role away from a user in the caller’s organization, preserving their other access assignments. | authz: cedar=updateUserAccess | () -> (User1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

user_idstringRequired

Must be a string starting with user_

chrt_managed_roleenumRequired
Allowed values:

Response

Successful Response
_idstring
created_at_timestampstringformat: "date-time"
display_namestring
kindenum
Allowed values:
last_edited_at_timestampstringformat: "date-time"
org_idstring

Must be a string starting with org_

schema_versioninteger
user_idstring

Must be a string starting with user_

chrt_managed_roleslist of enumsOptional
Allowed values:
created_by_user_idstring or nullOptional
custom_role_idslist of stringsOptional
email_addressstring or nullOptionalformat: "email"
group_idslist of stringsOptional

Errors

422
Unprocessable Entity Error